# tfgnn.mask_edges

[TOC]

<!-- Insert buttons and diff -->

<table class="tfo-notebook-buttons tfo-api nocontent" align="left">
<td>
  <a target="_blank" href="https://github.com/tensorflow/gnn/tree/master/tensorflow_gnn/graph/graph_tensor_ops.py#L632-L745">
    <img src="https://www.tensorflow.org/images/GitHub-Mark-32px.png" />
    View source on GitHub
  </a>
</td>
</table>

Creates a GraphTensor after applying edge_mask over the specified edge-set.

<pre class="devsite-click-to-copy prettyprint lang-py tfo-signature-link">
<code>tfgnn.mask_edges(
    graph: <a href="../tfgnn/GraphTensor.md"><code>tfgnn.GraphTensor</code></a>,
    edge_set_name: gt.EdgeSetName,
    boolean_edge_mask: tf.Tensor,
    masked_info_edge_set_name: Optional[gt.EdgeSetName] = None
) -> <a href="../tfgnn/GraphTensor.md"><code>tfgnn.GraphTensor</code></a>
</code></pre>

<!-- Placeholder for "Used in" -->

After applying the given boolean mask to the edge-set, removed edges will be
kept on a different edge-set within the GraphTensor generated by this function.
Edge masking doesn't change the node sets or the context node information.

Not compatible with XLA.

<!-- Tabular view -->

 <table class="responsive fixed orange">
<colgroup><col width="214px"><col></colgroup>
<tr><th colspan="2"><h2 class="add-link">Args</h2></th></tr>

<tr>
<td>
`graph`<a id="graph"></a>
</td>
<td>
A scalar GraphTensor.
</td>
</tr><tr>
<td>
`edge_set_name`<a id="edge_set_name"></a>
</td>
<td>
Name of edge-set to apply the boolean mask.
</td>
</tr><tr>
<td>
`boolean_edge_mask`<a id="boolean_edge_mask"></a>
</td>
<td>
A boolean mask with shape `[num_edges]` to mask edges in
the specified edge-set of the `graph` with rank=1.
</td>
</tr><tr>
<td>
`masked_info_edge_set_name`<a id="masked_info_edge_set_name"></a>
</td>
<td>
Masked out edge-set information will be kept in a
new edge-set, with name masked_info_edge_set_name.
</td>
</tr>
</table>

<!-- Tabular view -->

 <table class="responsive fixed orange">
<colgroup><col width="214px"><col></colgroup>
<tr><th colspan="2"><h2 class="add-link">Returns</h2></th></tr>
<tr class="alt">
<td colspan="2">
GraphTensor with configured edges masked and removed edges information
stored in the edget_set with name masked_info_edge_set_name.
</td>
</tr>

</table>
